

#ifndef VALIB_MPA_SYNTH_H
#define VALIB_MPA_SYNTH_H

#include "../../defs.h"

class SynthBuffer;
class SynthBufferFPU;     










class SynthBuffer
{
public:
  virtual void synth(sample_t samples[32]) = 0;
  virtual void reset() = 0;
};





class SynthBufferFPU: public SynthBuffer
{
protected:
  sample_t synth_buf[1024];  
  int      synth_offset;     

public:
  SynthBufferFPU();

  virtual void synth(sample_t samples[32]);
  virtual void reset();
};

#endif
